Name:          javaparser
Version:       1.0.11
Release:       %mkrel 4
Group:         Development/Java
Summary:       Java 1.7 Parser and AST
License:       GPLv3+ and LGPLv3+
# https://github.com/before/javaparser/
URL:           http://javaparser.github.io/javaparser/
Source0:       https://github.com/javaparser/javaparser/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires: mvn(org.codehaus.mojo:javacc-maven-plugin)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
A Java 1.7 Parser with AST generation and visitor support.
The AST records the source code structure, java doc and
comments. It is also possible to change the AST nodes or
create new ones to modify the source code.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

sed -i 's/\r//' readme.md

%mvn_file :%{name} %{name}

%build

# test skip http://code.google.com/p/javaparser/issues/detail?id=43
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc readme.md
%license COPYING COPYING.LESSER

%files javadoc -f .mfiles-javadoc
%license COPYING COPYING.LESSER



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.0.11-4.mga6
+ Revision: 982198
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.11-3.mga6
+ Revision: 976422
- First rebuild of the java stack
- sync package javaparser with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.8-7.mga5
+ Revision: 743297
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 16 2013 dmorgan <dmorgan> 1.0.8-5.mga4
+ Revision: 557651
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.8-2.mga3
+ Revision: 354845
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.0.8-1.mga3
+ Revision: 293041
- imported package javaparser


* Thu Jul 26 2012 gil cattaneo <puntogil@libero.it> 1.0.8-1
- initial rpm
